Subject: Re: Problems building setup from CVS.
From: Reini Urban <[email-masked]>
To: Dave Korn <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Sep 2004 14:12:57 +0200

Dave Korn schrieb:

> 
>       Hey all,
> 
>   The subject says it all.  Are there any requirements that I don't know about for
> say particular versions of automake/autoconf?  It says at
> http://sources.redhat.com/cygwin-apps/setup.html
> 
> "This requires the Cygwin development automake/autoconf and libtool packages (from
> the Cygwin Net Release). (Or equivalently patched versions on linux or other
> platforms.)"
> 
>   Well, I'm not sure what's in the cygwin net release, nor what kind of patchset
> would be 'equivalent' in those terms.  I've got these versions of
> automake/autoconf, which are I believe the current cygwin release versions:
> 
> ------------------------------<snip!>------------------------------
> dk@mace /usr/build/apps/setup> autoconf --version
> autoconf (GNU Autoconf) 2.59
> Written by David J. MacKenzie and Akim Demaille.
> 
> Copyright (C) 2003 Free Software Foundation, Inc.
> This is free software; see the source for copying conditions.  There is NO
> warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
> dk@mace /usr/build/apps/setup> automake --version
> automake (GNU automake) 1.9.1
> Written by Tom Tromey <[email-masked]>.
> 
> Copyright 2004 Free Software Foundation, Inc.
> This is free software; see the source for copying conditions.  There is NO
> warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
> ------------------------------<snip!>------------------------------
> 
> and I see these warnings when I run bootstrap.sh:
> 
> ------------------------------<snip!>------------------------------
> dk@mace /usr/build/apps/setup> ./bootstrap.sh
> Running bootstrap.sh in libgetopt++
> /usr/share/aclocal/freetype2.m4:7: warning: underquoted definition of AC_CHECK_FT2
>   run info '(automake)Extending aclocal'
>   or see http://sources.redhat.com/automake/automake.html#Extending-aclocal
> /usr/share/aclocal/check.m4:5: warning: underquoted definition of AM_PATH_CHECK

This is a new libtool "feature" :)
you have to fix most of your /usr/share/aclocal/*.m4 files (those which 
print the warnings) to quote the AC_DEFUN first param.

libmcrypt.m4:
AC_DEFUN(AM_PATH_LIBMCRYPT,
=>
AC_DEFUN([AM_PATH_LIBMCRYPT],

I've attached a patch which was needed for me.

  >   I don't see any problems (or indeed any output whatsoever!) when I 
then run
> autoconf and automake.  I use the standard recommended configure options:

with the rest I'm fighting also :)

-- 
Reini Urban
http://xarch.tu-graz.ac.at/home/rurban/
--- freetype2.m4~	2003-10-25 22:21:48.001000000 +0200
+++ freetype2.m4	2004-09-28 13:54:10.653180400 +0200
@@ -4,7 +4,7 @@
 dnl AC_CHECK_FT2([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])
 dnl Test for FreeType2, and define FT2_CFLAGS and FT2_LIBS
 dnl
-AC_DEFUN(AC_CHECK_FT2,
+AC_DEFUN([AC_CHECK_FT2],
 [dnl
 dnl Get the cflags and libraries from the freetype-config script
 dnl
--- libmcrypt.m4~	2003-10-06 16:54:24.001000000 +0200
+++ libmcrypt.m4	2004-09-28 13:55:01.683777200 +0200
@@ -14,7 +14,7 @@
 dnl AM_PATH_LIBMCRYPT([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND ]]])
 dnl Test for libmcrypt, and define LIBMCRYPT_CFLAGS and LIBMCRYPT_LIBS
 dnl
-AC_DEFUN(AM_PATH_LIBMCRYPT,
+AC_DEFUN([AM_PATH_LIBMCRYPT],
 [dnl
 dnl Get the cflags and libraries from the libmcrypt-config script
 dnl
--- libsmi.m4~	2003-12-13 02:59:52.001000000 +0200
+++ libsmi.m4	2004-09-28 13:53:30.153698800 +0200
@@ -5,7 +5,7 @@
 dnl successful. Also defines HAVE_LIBSMI_H and adds -llibsmi to the 
 dnl LIBS variable.
 dnl 
-AC_DEFUN(AM_PATH_LIBSMI,
+AC_DEFUN([AM_PATH_LIBSMI],
 [
   AC_CHECK_HEADERS(smi.h)
   AC_CHECK_LIB(smi, smiInit)
--- pkg.m4~	2003-08-11 01:54:22.001000000 +0200
+++ pkg.m4	2004-09-28 13:53:44.637888400 +0200
@@ -2,7 +2,7 @@
 dnl PKG_CHECK_MODULES(GSTUFF, gtk+-2.0 >= 1.3 glib = 1.3.4, action-if, action-not)
 dnl defines GSTUFF_LIBS, GSTUFF_CFLAGS, see pkg-config man page
 dnl also defines GSTUFF_PKG_ERRORS on error
-AC_DEFUN(PKG_CHECK_MODULES, [
+AC_DEFUN([PKG_CHECK_MODULES], [
   succeeded=no
 
   if test -z "$PKG_CONFIG"; then

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/